Opened 12 years ago

Closed 12 years ago

#3577 closed defect (fixed)

obsolete reference to dojo.render in loader_xd.js

Reported by: James Burke Owned by: James Burke
Priority: high Milestone: 0.9beta
Component: Loader Version: 0.9
Keywords: Cc:
Blocked By: Blocking:

Description

Around line 375. This whole like looks bad.

if((dep[1] === true)||(dep[1]=="common")||(dep[1] && dojo.render[dep[1]].capable)){

Just need condition === true, to match dojo.requireIf logic, or perhaps need to do an eval(dep[1]) === true.

Change History (1)

comment:1 Changed 12 years ago by James Burke

Resolution: fixed
Status: newclosed

(In [9409]) Fixes #3577. Obsolete dojo.render reference.

Note: See TracTickets for help on using tickets.